Name:          sqliteman
Version:       1.2.2
Release:       %mkrel 17
Summary:       Lightweight but powerful Sqlite3 manager
License:       GPLv2
Group:         Databases
URL:           https://sqliteman.com/
Source:        https://downloads.sourceforge.net/sqliteman/%{name}-%{version}.tar.bz2
# sqliteman-1.2.2-qt5.patch courtesy of gentoo team -- aloisio@gmx.com
Patch1:        sqliteman-1.2.2-qt5.patch
Patch2:        sqliteman-cmake-4.0-version.patch
Patch3:        sqliteman-cmake-4.0-definitions.patch

BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5DBus)
BuildRequires: pkgconfig(Qt5Sql)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Xml)
BuildRequires: pkgconfig(uuid)
BuildRequires: cmake
BuildRequires: qscintilla-qt5-devel
BuildRequires: qt5-database-plugin-sqlite
BuildRequires: desktop-file-utils

Requires:      qt5-database-plugin-sqlite

%description
The best developer's and/or admin's GUI tool for Sqlite3
in the world. No joking here (or just a bit only) - it
contains the most complete feature set of all tools available

%prep
%setup -q
%autopatch -p1

%build
%cmake_qt5 -DQSCINTILLA_NAMES=qscintilla2_qt5
%cmake_build

%install
%cmake_install

desktop-file-install \
        --add-category "Development;Database;Qt;" \
        --dir %{buildroot}%{_datadir}/applications \
        %{buildroot}%{_datadir}/applications/%{name}.desktop

install -d %{buildroot}%{_iconsdir}/hicolor/32x32/apps
mv %{buildroot}%{_datadir}/icons/hicolor/%{name}.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png

%files
%doc AUTHORS
%doc %{_datadir}/%{name}/doc/*
%{_bindir}/sqliteman
%{_datadir}/applications/*
%{_datadir}/%{name}/icons/*
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%lang(bg) %{_datadir}/%{name}/sqliteman_bg.qm
%lang(cs) %{_datadir}/%{name}/sqliteman_cs.qm
%lang(de) %{_datadir}/%{name}/sqliteman_de.qm
%lang(en) %{_datadir}/%{name}/sqliteman_en.qm
%lang(fr) %{_datadir}/%{name}/sqliteman_fr.qm
%lang(it) %{_datadir}/%{name}/sqliteman_it.qm
%lang(pl) %{_datadir}/%{name}/sqliteman_pl.qm
%lang(ru) %{_datadir}/%{name}/sqliteman_ru.qm


%changelog
* Mon Jul 07 2025 aurr <aurr> 1.2.2-17.mga10
+ Revision: 2248215
- fix build with cmake-4.0
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Wed Apr 06 2022 umeabot <umeabot> 1.2.2-16.mga9
+ Revision: 1845953
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 1.2.2-15.mga8
+ Revision: 1659925
- Rebuild for new Qt5

* Sat Aug 22 2020 joequant <joequant> 1.2.2-14.mga8
+ Revision: 1617864
- fix build

* Sat Feb 15 2020 umeabot <umeabot> 1.2.2-13.mga8
+ Revision: 1525053
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Tue Apr 02 2019 umeabot <umeabot> 1.2.2-12.mga7
+ Revision: 1384882
- Qt5 Rebuild

* Tue Feb 19 2019 daviddavid <daviddavid> 1.2.2-11.mga7
+ Revision: 1368526
- rebuild for new qscintilla 2.11.1

* Thu Oct 04 2018 umeabot <umeabot> 1.2.2-10.mga7
+ Revision: 1317391
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild

* Mon May 14 2018 daviddavid <daviddavid> 1.2.2-8.mga7
+ Revision: 1229305
- add gentoo patch to port to Qt5

* Thu Apr 19 2018 daviddavid <daviddavid> 1.2.2-7.mga7
+ Revision: 1220203
- explicitly set qscintilla2_qt4 name in cmake option otherwise it
  links older libqscintilla2 library

* Thu Apr 19 2018 daviddavid <daviddavid> 1.2.2-6.mga7
+ Revision: 1220182
- rebuild for new qscintilla 2.10.4

* Wed Jan 20 2016 daviddavid <daviddavid> 1.2.2-5.mga6
+ Revision: 926068
- add missing requires on qt4-database-plugin-sqlite (fixes mga#17548)

* Wed Oct 15 2014 umeabot <umeabot> 1.2.2-4.mga6
+ Revision: 749690
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.2-3.mga5
+ Revision: 689304
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.2.2-2.mga5
+ Revision: 529006
- Mageia 4 Mass Rebuild

* Sun Jun 30 2013 malo <malo> 1.2.2-1.mga4
+ Revision: 448596
- Mageia spec by Aleksandrs Jansons


* Sun Jun 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.1-1mdv2010.0
+ Revision: 383487
- update to new version 1.2.1
- fix file list

  + Jerome Martin <jmartin@mandriva.org>
    - Fixed BuildRequires/Requires for 2008.1

* Wed Nov 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.0-2mdv2009.1
+ Revision: 304485
- rebuild

* Wed Aug 06 2008 Funda Wang <fundawang@mandriva.org> 1.2.0-1mdv2009.0
+ Revision: 264718
- New version 1.2.0
- use non-arch dependencies

* Sun Jul 13 2008 Funda Wang <fundawang@mandriva.org> 1.0.1-2mdv2009.0
+ Revision: 234232
- add requires on qt4-sqlite

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Jan 31 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.1-1mdv2008.1
+ Revision: 160882
- new version
- fix file list

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Jul 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-1mdv2008.0
+ Revision: 53317
- new version
- drop X-MandrivaLinux
- drop buildrequires on desktop-file-utils
- fix file list

* Tue Apr 24 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.99-0.20070421.1mdv2008.0
+ Revision: 17936
- correct buildrequires
- fix building on x86_64
- Import sqliteman



